package com.buy507.mall.service;

import java.util.List;

import com.buy507.mall.dto.MemberResult;
import com.buy507.mall.dto.MemberTradeRecordResult;
import com.buy507.mall.model.DmsMemberBankAccount;

public interface UmsMemberService {

	List<MemberResult> list(String nickname, String inviter, Integer memberLevel, Integer storeStatus, Integer pageSize, Integer pageNum);

	void updateStoreStatus(Long id, Integer storeStatus);

	List<DmsMemberBankAccount> bankAccountList(Long memberId);

	List<MemberTradeRecordResult> tradeRecordList(Long memberId, String orderSn, Integer itemType,
			Integer type, Integer pageSize, Integer pageNum);
}
